package cokr.xit.fims.cmmn;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PredefinedSet {
	public PredefinedSet(String artclNm, String artclDscrp) {
		this.artclNm = artclNm;
		this.artclDscrp = artclDscrp;
		this.downloadData = true;
	}
	protected String artclNm;
	protected String artclDscrp;
	protected boolean downloadData; //다운로드 이력 기재 항목 여부

	/**
	 * 해당 항목을 다운로드 이력 제외 항목으로 설정한다.
	 */
	public PredefinedSet offLog() {
		this.downloadData = false;
		return this;
	}
}